aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Makefile.am1
-rw-r--r--Makefile.in2
-rwxr-xr-xconfigure23
-rw-r--r--configure.in6
-rw-r--r--display.c6
-rw-r--r--socket.c8
6 files changed, 29 insertions, 17 deletions
diff --git a/Makefile.am b/Makefile.am
index 2e55ca4..5847120 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -59,6 +59,7 @@ CREDITS \
FAQ \
NEWS \
TODO \
+README \
README.Drivers \
README.MatrixOrbital \
README.HD44780 \
diff --git a/Makefile.in b/Makefile.in
index 1f11aad..139c7de 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -84,7 +84,7 @@ lcd4linux_SOURCES = lcd4linux.c debug.c debug.h cfg.c cfg.h lock.c lock.h parse
EXTRA_lcd4linux_SOURCES = acconfig.h BeckmannEgle.c Crystalfontz.c Crystalfontz.h Cwlinux.c HD44780.c M50530.c T6963.c USBLCD.c MatrixOrbital.c PalmPilot.c Raster.c SIN.c Skeleton.c XWindow.c Text.c
-EXTRA_DIST = lcd4linux.conf.sample lcd4kde.conf lcd4linux.kdelnk lcd4linux.xpm lcd4linux.lsm CREDITS FAQ NEWS TODO README.Drivers README.MatrixOrbital README.HD44780 README.HD44780.GPO README.Crystalfontz README.X11 README.KDE README.Raster README.Png README.Webinterface README.Text
+EXTRA_DIST = lcd4linux.conf.sample lcd4kde.conf lcd4linux.kdelnk lcd4linux.xpm lcd4linux.lsm CREDITS FAQ NEWS TODO README README.Drivers README.MatrixOrbital README.HD44780 README.HD44780.GPO README.Crystalfontz README.X11 README.KDE README.Raster README.Png README.Webinterface README.Text
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
diff --git a/configure b/configure
index aa5f73f..e3d8652 100755
--- a/configure
+++ b/configure
@@ -5480,6 +5480,7 @@ fi
done
ac_config_files="$ac_config_files Makefile"
+
cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
@@ -5559,7 +5560,7 @@ DEFS=-DHAVE_CONFIG_H
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:5562: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:5563: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@@ -5735,7 +5736,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:5738: error: ambiguous option: $1
+ { { echo "$as_me:5739: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@@ -5754,7 +5755,7 @@ Try \`$0 --help' for more information." >&2;}
ac_need_defaults=false;;
# This is an error.
- -*) { { echo "$as_me:5757: error: unrecognized option: $1
+ -*) { { echo "$as_me:5758: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@@ -5799,7 +5800,7 @@ do
"Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
"default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
"config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
- *) { { echo "$as_me:5802: error: invalid argument: $ac_config_target" >&5
+ *) { { echo "$as_me:5803: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@@ -6025,7 +6026,7 @@ done; }
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:6028: creating $ac_file" >&5
+ { echo "$as_me:6029: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@@ -6043,7 +6044,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:6046: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:6047: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -6056,7 +6057,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:6059: error: cannot find input file: $f" >&5
+ { { echo "$as_me:6060: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -6117,7 +6118,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
* ) ac_file_in=$ac_file.in ;;
esac
- test x"$ac_file" != x- && { echo "$as_me:6120: creating $ac_file" >&5
+ test x"$ac_file" != x- && { echo "$as_me:6121: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
@@ -6128,7 +6129,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:6131: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:6132: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -6141,7 +6142,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:6144: error: cannot find input file: $f" >&5
+ { { echo "$as_me:6145: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -6258,7 +6259,7 @@ cat >>$CONFIG_STATUS <<\EOF
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
- { echo "$as_me:6261: $ac_file is unchanged" >&5
+ { echo "$as_me:6262: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
diff --git a/configure.in b/configure.in
index 619ace0..bc25ae6 100644
--- a/configure.in
+++ b/configure.in
@@ -1,5 +1,6 @@
dnl Process this file with autoconf to produce a configure script.
-AC_INIT(lcd4linux.c)
+AC_INIT
+AC_CONFIG_SRCDIR([lcd4linux.c])
AM_INIT_AUTOMAKE(lcd4linux, 0.99)
AM_CONFIG_HEADER(config.h)
@@ -247,4 +248,5 @@ AC_FUNC_MEMCMP
AC_TYPE_SIGNAL
AC_CHECK_FUNCS(gettimeofday putenv select socket strdup strerror strstr strtol uname)
-AC_OUTPUT(Makefile)
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT
diff --git a/display.c b/display.c
index 1b5d1b8..c376284 100644
--- a/display.c
+++ b/display.c
@@ -1,4 +1,4 @@
-/* $Id: display.c,v 1.33 2002/09/11 05:16:33 reinelt Exp $
+/* $Id: display.c,v 1.34 2002/12/05 19:09:57 reinelt Exp $
*
* framework for device drivers
*
@@ -20,6 +20,9 @@
*
*
* $Log: display.c,v $
+ * Revision 1.34 2002/12/05 19:09:57 reinelt
+ * patches for gcc-3.2
+ *
* Revision 1.33 2002/09/11 05:16:33 reinelt
* added Cwlinux driver
*
@@ -192,6 +195,7 @@
#include <stdlib.h>
#include <stdio.h>
+#include <string.h>
#include <math.h>
#include "debug.h"
diff --git a/socket.c b/socket.c
index 1e70342..689f713 100644
--- a/socket.c
+++ b/socket.c
@@ -1,4 +1,4 @@
-/* $Id: socket.c,v 1.4 2001/09/12 05:58:16 reinelt Exp $
+/* $Id: socket.c,v 1.5 2002/12/05 19:09:57 reinelt Exp $
*
* simple socket functions
*
@@ -20,6 +20,9 @@
*
*
* $Log: socket.c,v $
+ * Revision 1.5 2002/12/05 19:09:57 reinelt
+ * patches for gcc-3.2
+ *
* Revision 1.4 2001/09/12 05:58:16 reinelt
* fixed bug in mail2.c
*
@@ -70,8 +73,9 @@
*/
#include <stdio.h>
-#include <errno.h>
#include <stdlib.h>
+#include <string.h>
+#include <errno.h>
#include <ctype.h>
#include <unistd.h>
#include <sys/types.h>